[X2Go-Commits] [buildscripts] 02/02: bin/createsusetagsrepo: add the remaining funcationality.

git-admin at x2go.org git-admin at x2go.org
Sat Oct 29 23:27:36 CEST 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit 84bbf8fb27a5c8a90e2aa0e3a9d8ead1d970db1b
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sat Oct 29 23:27:25 2016 +0200

    bin/createsusetagsrepo: add the remaining funcationality.
---
 bin/createsusetagsrepo |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/bin/createsusetagsrepo b/bin/createsusetagsrepo
index 27b12df..281008d 100755
--- a/bin/createsusetagsrepo
+++ b/bin/createsusetagsrepo
@@ -66,6 +66,15 @@ EOF
   printf '%s\n' "${tmp_str}" > "content"
 }
 
+create_directory () {
+  typeset prefix='./descr/'
+  typeset file='directory.yast'
+
+  rm -f -- "${prefix}/${file}"
+
+  find "${prefix}" -print | sed -e "s#${prefix}##" > "${prefix}/${file}"
+}
+
 set -e
 
 repo_top_dir="${1}"
@@ -75,9 +84,12 @@ component="${2:?"No component string provided."}"
 
 test -n "${repo_top_dir}" || usage
 
-cd "${repo_top_dir}" || error "Unable to switch to provided repository top directory."
+cd "${repo_top_dir}" || error "Unable to switch to provided repository top directory '${repo_top_dir}'."
 
 create_metadata
 
+create_package_descr -o descr -x /dev/null
+
+create_directory
 
 exit "0"

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list